Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.schema.identity
Class XPath.Step

    java.lang.Object
      |
      +--org.apache.xerces.validators.schema.identity.XPath.Step

Enclosing class:
  XPath

public static class XPath.Step
extends java.lang.Object
implements java.lang.Cloneable

A location path step comprised of an axis and node test.

Author:
  Andy Clark, IBM

Field Summary
`XPath.Axis` | `axis` Axis.
`XPath.NodeTest` | `nodeTest` Node test.

Constructor Summary
`` | `XPath.Step(XPath.Axis axis, XPath.NodeTest nodeTest)` Constructs a step from an axis and node test.
`protected` | `XPath.Step(XPath.Step step)` Copy constructor.

Method Summary
`java.lang.Object` | `clone()` Returns a clone of this object.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### axis

    public XPath.Axis axis

  Axis.

### nodeTest

    public XPath.NodeTest nodeTest

  Node test.

Constructor Detail

### XPath.Step

    public XPath.Step(XPath.Axis axis,
                      XPath.NodeTest nodeTest)

  Constructs a step from an axis and node test.

### XPath.Step

    protected XPath.Step(XPath.Step step)

  Copy constructor.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    toString in class java.lang.Object

### clone

    public java.lang.Object clone()

  Returns a clone of this object.
  Overrides:
    clone in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.